#/bin/sh

# Datei: dd1.sh
#
#***********************************************************************************************
# dd Beispiel 1
#
# Aufruf: ./dd1.sh DATEI_NAME
#
# Macht eine Datei unbrauchbar, indem in einigen Datenblscken die Byte-Folge vertauscht wird
# Ein nochmaliger der genderten Datei versetzt sie sieder in den Anfangszustand
#***********************************************************************************************

if [ "$1" == "" ]; then
	echo "Fehler: Bitte einen Dateinamen eingeben"
	exit 1
fi
if [ ! -r "$1" ]; then
	echo "Fehler: Die Datei '$1' kann nicht gelesen werden"
	exit 1
fi
# die ersten 512 Bytes werden unverndert ausgegeben
dd if="$1" ibs=512 count=1 of="$1.swab" || exit 1
# es folgen 5*512 Bytes, bei denen die reihenfolge vertaucht wird
dd if="$1" ibs=512 skip=1 count=5 cbs=512 conv=swab >> "$1.swab" || exit 1
# der rest wird wieder unverndert ausgegeben
dd if="$1" ibs=512 skip=6 >> "$1.swab" || exit 1

echo ""
echo "Die umgewandelte Datei heit $1.swab."
printf "Soll sie in $1 umbenannt werden? ja/nein [nein] > "

# wartet auf Benutzereingabe und speichert diese in der Variablen "Antwort"
read antwort

if [ "$antwort" == "j" -o "$antwort" == "ja" -o "$antwort" == "J" -o "$antwort" == "JA" ]; then
	mv "$1.swab" "$1"
fi
