#!/bin/sh

# Datei: tarGet.sh
#
#***********************************************************************************************
# Extrahiert Datei-/Verzeichnisse aus Tar-Backups, die mit tarBackup.sh erzeugt wurden
#
# Aufruf: ./tarGet.sh AUSDRUCK
#
# Die Suche beginnt mit den jngsten Tar-Dateien. Wird in einer Datei etwas gefunden, wird der
# Anwender gefragt, ob er die Daten laden will. Ist das nicht der Fall, kann er mit "q" (fr quit)
# das Skript beenden, oder mit "n" in den lteren Tar-Dateien suchen.
#***********************************************************************************************


if [ "${1}" == "" ]; then exit 1; fi

# Verzeichnis in dem sich die Backuo-Dateien befinden
TAR_DIR="$HOME/LUG/tar"
i=0

echo ""
echo "Suche nach '$1' ..."
echo ""
# Schleife ber die Tar-Dateien, beginnend mit den jngsten Dateien
for iFile in `ls -t *.tgz`; do
	tar ztf "$iFile" "$1" 2> /dev/null
	if [ "$?" == "0" ]; then
		antwort="h"
		while [ "$antwort" == "h" ]; do
			printf "\n$iFile: Sollen diese Daten geladen werden? (j/n/q/[h]) > "
			read antwort
			if [ "$antwort" == "j" ]; then
				tar zxvf "$iFile" "$1"
				exit 0
			elif [ "$antwort" == "n" ]; then
				printf "\nSoll die nchste Datei durchsucht werden? (j/[n]) > "
				read antwort
				if [ "$antwort" != "j" ]; then
					echo ""
					echo "Nichts geladen."
					exit 0
				fi
			elif [ "$antwort" == "q" ]; then
				echo ""
				echo "Nichts geladen."
				exit 0
			else
				cat << ende

	Bitte eine der Mglichkeiten auswhlen:
	j  Ja, Daten laden und Skript beenden
	n  Nein, Daten nicht laden und in lteren Tar-dateien weitersuchen
	q  Quit, Skript abbrechen
	h  Hilfe, diese Information anzeigen (Standard)

ende
				antwort="h"
			fi
		done
	fi
done

echo ""
echo "Keine (weiteren) Daten gefunden."
